#include <bits/stdc++.h>
#define N 1000000

using namespace std;
//long long tong(long long n)
//{//
//	long long i,s=n+1;
//	for(i=2;i<=n/2;i++)
//	{
//		if(n%i==0)s+=i;	}
//		return s;
//}
long long dem[N];
long long pow(long long a,long long n)
{
	if(n==1)return a;
	else
	{
		int temp=pow(a,n/2);
		if(n%2==0)return temp*temp;
		else return temp*temp*a;
	}
}
long long log(long long a,long long b)
{
	long long s=1,i;
	for(i=b;i>=1;i--)
	{
		s+=pow(a,b);
	}
	return s;
}
int main()
{
	ifstream f1("tonguoc.inp");
	ofstream f2("tonguoc.out");
	long long n,i,s=1;
		f1>>n;
	for(i=0;i<=N;i++)
	{
		dem[i]=0;
	}
	for(i=2;i<=n;i++)
	{
		while(n%i==0){
		dem[i]++;
		n=n/i;
	}
	}
    for(i=0;i<N;i++)
    {
    	if(dem[i]>0)s*=log(i,dem[i]);
	}
	f2<<s;
}
